Subject: Re: [GSoC PATCH] format-patch: write numbered list in cover letter

From: Junio C Hamano <[email-masked]>
Date: Mon, 09 Mar 2026 21:54:28 -0700

Pablo Sabater <[email-masked]> writes:

> Cover letter generated with 'git format-patch --cover-letter' uses
> shortlog grouping commits by author. For a single author patch grouping
> by author add useless information and makes it hard to follow patch
> references: "second patch does x and y patch does z"
>
> Replace the shortlog with a numbered list of patches:
>
>   [1/2]: first commit
>   [2/2]: second commit
>
> shortlog grouping by author is lost, both for single author patches
> and multiple author patches
>
> suggested as #leftoverbits by Junio C Hamano at
> https://lore.kernel.org/git/[email-masked]/
>
> Signed-off-by: Pablo Sabater <[email-masked]>
> ---
> I haven't tried to group by author on multiple authors patches to keep it simple 
> but I believe it's doable.

How does this compare with

  https://lore.kernel.org/git/[email-masked]/

I wonder.